Bug 1054431 - Broken links in /usr/share/freemind/lib/jibx
Summary: Broken links in /usr/share/freemind/lib/jibx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freemind
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 19:44 UTC by Rick
Modified: 2014-05-24 23:31 UTC (History)
2 users (show)

Fixed In Version: freemind-1.0.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-24 23:26:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Rick 2014-01-16 19:44:59 UTC
Description of problem:

Links in /usr/share/freemind/lib/jibx do not point to anything.  Looks like they pointed to a previous version of jibx.

Version-Release number of selected component (if applicable):

jibx-1.2.5-2.fc19.i686
freemind-0.9.0-13.fc19.noarch

How reproducible:

Every time.

Steps to Reproduce:

1.  ls -H /usr/share/freemind/lib/jibx/*.jar

Actual results:

$ ls -H /usr/share/freemind/lib/jibx/*.jar
ls: cannot access /usr/share/freemind/lib/jibx/jibx-bind.jar: No such file or directory
ls: cannot access /usr/share/freemind/lib/jibx/jibx-extras.jar: No such file or directory
ls: cannot access /usr/share/freemind/lib/jibx/jibx-run.jar: No such file or directory
ls: cannot access /usr/share/freemind/lib/jibx/jibxschema-1.2.4.jar: No such file or directory
ls: cannot access /usr/share/freemind/lib/jibx/jibxtools-1.2.4.jar: No such file or directory
/usr/share/freemind/lib/jibx/bcel.jar
/usr/share/freemind/lib/jibx/commons-logging-1.0.4.jar
/usr/share/freemind/lib/jibx/jaxme-js-0.3.jar
/usr/share/freemind/lib/jibx/jibxbind.jar
/usr/share/freemind/lib/jibx/jibxextras.jar
/usr/share/freemind/lib/jibx/jibxrun.jar
/usr/share/freemind/lib/jibx/jibxschema.jar
/usr/share/freemind/lib/jibx/jibxtools.jar
/usr/share/freemind/lib/jibx/log4j-1.2.8.jar
/usr/share/freemind/lib/jibx/xpp3.jar

$ ll /usr/share/freemind/lib/jibx
total 8
drwxr-xr-x. 2 root root 4096 Jan 14 23:20 ./
drwxr-xr-x. 4 root root 4096 Jan 14 23:20 ../
lrwxrwxrwx. 1 root root   24 Jan 14 23:20 bcel.jar -> /usr/share/java/bcel.jar
lrwxrwxrwx. 1 root root   35 Jan 14 23:20 commons-logging-1.0.4.jar -> /usr/share/java/commons-logging.jar
lrwxrwxrwx. 1 root root   33 Jan 14 23:20 jaxme-js-0.3.jar -> /usr/share/java/jaxme/jaxmejs.jar
lrwxrwxrwx. 1 root root   35 Jan 14 23:20 jibx-bind.jar -> /usr/share/java/jibx/bind-1.2.4.jar
lrwxrwxrwx. 1 root root   29 Jan 14 23:20 jibxbind.jar -> /usr/share/java/jibx/bind.jar
lrwxrwxrwx. 1 root root   37 Jan 14 23:20 jibx-extras.jar -> /usr/share/java/jibx/extras-1.2.4.jar
lrwxrwxrwx. 1 root root   31 Jan 14 23:20 jibxextras.jar -> /usr/share/java/jibx/extras.jar
lrwxrwxrwx. 1 root root   34 Jan 14 23:20 jibx-run.jar -> /usr/share/java/jibx/run-1.2.4.jar
lrwxrwxrwx. 1 root root   28 Jan 14 23:20 jibxrun.jar -> /usr/share/java/jibx/run.jar
lrwxrwxrwx. 1 root root   37 Jan 14 23:20 jibxschema-1.2.4.jar -> /usr/share/java/jibx/schema-1.2.4.jar
lrwxrwxrwx. 1 root root   31 Jan 14 23:20 jibxschema.jar -> /usr/share/java/jibx/schema.jar
lrwxrwxrwx. 1 root root   36 Jan 14 23:20 jibxtools-1.2.4.jar -> /usr/share/java/jibx/tools-1.2.4.jar
lrwxrwxrwx. 1 root root   30 Jan 14 23:20 jibxtools.jar -> /usr/share/java/jibx/tools.jar
lrwxrwxrwx. 1 root root   25 Jan 14 23:20 log4j-1.2.8.jar -> /usr/share/java/log4j.jar
lrwxrwxrwx. 1 root root   24 Jan 14 23:20 xpp3.jar -> /usr/share/java/xpp3.jar

Expected results:

Links to existing files.

Additional info:

$ ll /usr/share/java/jibx
total 1352
drwxr-xr-x.  2 root root   4096 Jan 14 23:20 ./
drwxr-xr-x. 48 root root  12288 Jan 14 23:20 ../
-rw-r--r--.  1 root root 436211 Mar 23  2013 bind-1.2.5.jar
lrwxrwxrwx.  1 root root     14 Jan 14 23:20 bind.jar -> bind-1.2.5.jar
-rw-r--r--.  1 root root  48906 Mar 23  2013 extras-1.2.5.jar
lrwxrwxrwx.  1 root root     16 Jan 14 23:20 extras.jar -> extras-1.2.5.jar
-rw-r--r--.  1 root root 135550 Mar 23  2013 run-1.2.5.jar
lrwxrwxrwx.  1 root root     13 Jan 14 23:20 run.jar -> run-1.2.5.jar
-rw-r--r--.  1 root root 272052 Mar 23  2013 schema-1.2.5.jar
lrwxrwxrwx.  1 root root     16 Jan 14 23:20 schema.jar -> schema-1.2.5.jar
-rw-r--r--.  1 root root 464858 Mar 23  2013 tools-1.2.5.jar
lrwxrwxrwx.  1 root root     15 Jan 14 23:20 tools.jar -> tools-1.2.5.jar


Fixing the links issue may also correct the current build problems for F20 and rawhide.

Unknown if this problem exists for newest freemind v. 1.0.0.

Comment 1 Fedora Admin XMLRPC Client 2014-04-24 12:54:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2014-05-15 15:26:12 UTC
freemind-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freemind-1.0.1-1.fc20

Comment 3 Fedora Update System 2014-05-15 15:36:20 UTC
freemind-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freemind-1.0.1-1.fc19

Comment 4 Fedora Update System 2014-05-16 10:08:18 UTC
Package freemind-1.0.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freemind-1.0.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6415/freemind-1.0.1-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-24 23:26:10 UTC
freemind-1.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-05-24 23:31:27 UTC
freemind-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.